<?PHP
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x source code                                     */
/*                                                                      */
/* NPDS Copyright (c) 2002-2007 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
function Access_Error () {
  include("admin/die.php");
}
if (!eregi("admin.php", $PHP_SELF)) { Access_Error(); }

global $language;
$hlpfile = "manuels/$language/config.html";
$result = sql_query("select radminsuper from ".$NPDS_Prefix."authors where aid='$aid'");
list($radminsuper) = sql_fetch_row($result);
if ($radminsuper!=1) {
   Access_Error();
}

function Configure() {
    global $hlpfile, $filemanager;
    include ("config.php");
    include ("header.php");
    include_once ("lib/togglediv.class.php");

    GraphicAdmin($hlpfile);
    $toggle = new ToggleDiv(12);
    opentable();
    echo "<form action=\"admin.php\" method=\"post\">";

    echo "<hr noshade class=\"ongl\"><table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\"><tr><td>\n";
    echo $toggle->All();
    echo "</td></tr>\n</table>\n<hr noshade class=\"ongl\">";

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Informations générales du site");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">
    <span class=\"rouge\">Parse algo</span> :</td><td align=\"left\">";
    if ($parse==0) {
        echo "<input type=\"radio\" name=\"xparse\" value=\"0\" checked>FixQuotes&nbsp;
        <input type=\"radio\" name=\"xparse\" value=\"1\">StripSlashes";
    } else {
        echo "<input type=\"radio\" name=\"xparse\" value=\"0\">FixQuotes&nbsp;
        <input type=\"radio\" name=\"xparse\" value=\"1\" checked>StripSlashes";
    }
    echo "</td></tr><tr><td>
    <span class=\"rouge\">Ob_Gzhandler</span> :</td><td align=\"left\">";
    if ($gzhandler==1) {
        echo "<input type=\"radio\" name=\"xgzhandler\" value=\"1\" checked>".adm_translate("Oui")."&nbsp;
        <input type=\"radio\" name=\"xgzhandler\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xgzhandler\" value=\"1\">".adm_translate("Oui")."&nbsp;
        <input type=\"radio\" name=\"xgzhandler\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    <span class=\"rouge\">FileManager</span> :</td><td align=\"left\">";
    if ($filemanager==1) {
        echo "<input type=\"radio\" name=\"xfilemanager\" value=\"1\" checked>".adm_translate("Oui")."&nbsp;
        <input type=\"radio\" name=\"xfilemanager\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xfilemanager\" value=\"1\">".adm_translate("Oui")."&nbsp;
        <input type=\"radio\" name=\"xfilemanager\" value=\"0\" checked>".adm_translate("Non");
    }

    echo "</td></tr><tr><td>
    <span class=\"rouge\">".adm_translate("Durée de vie du cookie Admin (en heure)")."</span> : </td><td><input class=\"textbox_standard\" type=\"text\" name=\"xadmin_cook_duration\" value=\"$admin_cook_duration\" size=\"11\" maxlength=\"10\">
    </td></tr><tr><td>
    <span class=\"rouge\">".adm_translate("Durée de vie du cookie User (en heure)")."</span> : </td><td><input class=\"textbox_standard\" type=\"text\" name=\"xuser_cook_duration\" value=\"$user_cook_duration\" size=\"11\" maxlength=\"10\">";

    echo "</td></tr><tr><td>
    ".adm_translate("Nom du site : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xsitename\" value=\"$sitename\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Nom du site pour la balise <b>Title</b> : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xTitlesitename\" value=\"$Titlesitename\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("URL du site : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xnuke_url\" value=\"$nuke_url\" size=\"30\" maxlength=\"200\">
    </td></tr><tr><td>
    ".adm_translate("Logo du site (pour les impressions) : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xsite_logo\" value=\"$site_logo\" size=\"30\" maxlength=\"255\">
    </td></tr><tr><td>
    ".adm_translate("Slogan du site : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xslogan\" value=\"$slogan\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Date de démarrage du site : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xstartdate\" value=\"$startdate\" size=\"30\" maxlength=\"30\">
    </td></tr><tr><td>
    ".adm_translate("Nombre d'éléments dans la page <b>Top</b> : ")." </td><td><input class=\"textbox_standard\" type=\"text\" name=\"xtop\"value=\"$top\" size=\"5\" maxlength=\"4\">
    </td></tr><tr><td>
    ".adm_translate("Nombre d'Articles en Page Principale : ")." </td><td><input class=\"textbox_standard\" type=\"text\" name=\"xstoryhome\" value=\"$storyhome\" size=\"5\" maxlength=\"4\">
    </td></tr><tr><td>
    ".adm_translate("Nombre d'Articles dans le Bloc des anciens Articles :")." </td><td><input class=\"textbox_standard\" type=\"text\" name=\"xoldnum\" value=\"$oldnum\" size=\"5\" maxlength=\"4\">
    </td></tr><tr><td>
    ".adm_translate("Activer Export-News ?")." </td><td>";
    if ($ultramode==1) {
        echo "<input type=\"radio\" name=\"xultramode\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xultramode\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xultramode\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xultramode\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Nom par défaut de -anonyme- :")."</td><td><input class=\"textbox\" type=\"text\" name=\"xanonymous\" value=\"$anonymous\">";
    echo "</td></tr><tr><td>
    ".adm_translate("Autoriser la création de News pour")." :</td><td>";
    if ($mod_admin_news==1) {
        echo "<input type=\"radio\" name=\"xmod_admin_news\" value=\"1\" checked>".adm_translate("Administrateurs")." / ".adm_translate("Modérateurs")."&nbsp;&nbsp;
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"2\">".adm_translate("Membres")."&nbsp;&nbsp;
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"0\">".adm_translate("Tous");
    } elseif ($mod_admin_news==2) {
        echo "<input type=\"radio\" name=\"xmod_admin_news\" value=\"1\">".adm_translate("Administrateurs")." / ".adm_translate("Modérateurs")."&nbsp;&nbsp;
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"2\" checked>".adm_translate("Membres")."&nbsp;&nbsp;
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"0\">".adm_translate("Tous");
    } else {
        echo "<input type=\"radio\" name=\"xmod_admin_news\" value=\"1\">".adm_translate("Administrateurs")." / ".adm_translate("Modérateurs")." &nbsp;
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"2\">".adm_translate("Membres")."
        <input type=\"radio\" name=\"xmod_admin_news\" value=\"0\" checked>".adm_translate("Tous");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("<b>Ne pas</b> enregistrer les 'Hits' des auteurs dans les statistiques ?")." </td><td>";
    if ($not_admin_count==1) {
        echo "<input type=\"radio\" name=\"xnot_admin_count\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xnot_admin_count\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xnot_admin_count\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xnot_admin_count\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Thème d'affichage par défaut : ")."</td><td><select class=\"textbox_standard\" name=\"xDefault_Theme\">";
    include("themes/list.php");
    $themelist = explode(" ", $themelist);
    for ($i=0; $i < sizeof($themelist); $i++) {
        if($themelist[$i]!="") {
            echo "<option name=\"xDefault_Theme\" value=\"$themelist[$i]\" ";
                if($themelist[$i]==$Default_Theme) echo "selected";
                echo ">$themelist[$i]\n";
        }
    }
    echo "</select>
    </td></tr><tr><td>
    ".adm_translate("Page de démarrage")." :</td><td><input class=\"textbox\" type=\"text\" name=\"xstart_page\" value=\"$Start_Page\" size=\"20\" maxlength=\"100\">
    </td></tr><tr><td colspan=\"2\">&nbsp;</td></tr><tr><td>
    ".adm_translate("Sélectionner la langue du site : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xlanguage\">";
    include("manuels/list.php");
    $languageslist = explode(" ", $languageslist);
    for ($i=0; $i < sizeof($languageslist); $i++) {
        if ($languageslist[$i]!="") {
           echo "<option name=\"xlanguage\" value=\"$languageslist[$i]\" ";
           if ($languageslist[$i]==$language) echo "selected";
              echo ">$languageslist[$i]\n";
        }
    }
    echo "</select>";
    echo "</td></tr><tr><td>
    ".adm_translate("Activer le Multi-Langue ?")." </td><td>";
    if ($multi_langue==true) {
        echo "<input type=\"radio\" name=\"xmulti_langue\" value=\"true\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmulti_langue\" value=\"false\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xmulti_langue\" value=\"true\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmulti_langue\" value=\"false\" checked>".adm_translate("Non");
    }
    echo"</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr><tr><td>
    ".adm_translate("Heure locale : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xlocale\" value=\"$locale\" size=\"20\" maxlength=\"255\">";
    if ($lever=="") {$lever="08:00";}
    if ($coucher=="") {$coucher="20:00";}
    echo "</td></tr>
    <tr><td>
    ".adm_translate("Le jour commence à")." :</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xlever\" value=\"$lever\" size=\"6\" maxlength=\"5\"> (HH:MM)";
    echo "</td></tr>
    <tr><td>
    ".adm_translate("La nuit commence à")." :</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xcoucher\" value=\"$coucher\" size=\"6\" maxlength=\"5\"> (HH:MM)";
    echo "</td></tr>";
    echo "<tr><td>
    GMT :</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xgmt\" value=\"$gmt\" size=\"4\" maxlength=\"3\"> (+- x)";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Options pour les Bannières");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Activer les Bannières ?")."</td><td>";
    if ($banners==1) {
        echo "<input type=\"radio\" name=\"xbanners\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xbanners\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xbanners\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xbanners\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Votre adresse IP (= ne pas comptabiliser les hits qui en proviennent) :")."</td><td>
    <input class=\"textbox_standard\" type=\"text\" name=\"xmyIP\" value=\"$myIP\">";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Message de pied de page");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"15%\">"
    .adm_translate("Ligne 1 : ")."</td><td><textarea class=\"textbox\" name=\"xfoot1\" cols=\"50\" rows=\"5\">".stripslashes($foot1)."</textarea>
    </td></tr><tr><td>
    ".adm_translate("Ligne 2 : ")."</td><td><textarea class=\"textbox\" name=\"xfoot2\" cols=\"50\" rows=\"5\">".stripslashes($foot2)."</textarea>
    </td></tr><tr><td>
    ".adm_translate("Ligne 3 : ")."</td><td><textarea class=\"textbox\" name=\"xfoot3\" cols=\"50\" rows=\"5\">".stripslashes($foot3)."</textarea>
    </td></tr><tr><td>
    ".adm_translate("Ligne 4 : ")."</td><td><textarea class=\"textbox\" name=\"xfoot4\" cols=\"50\" rows=\"5\">".stripslashes($foot4)."</textarea>";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Configuration des infos en Backend");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Titre du Backend : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xbackend_title\" value=\"$backend_title\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Langue du  Backend : ")."</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xbackend_language\" value=\"$backend_language\" size=\"11\" maxlength=\"10\">
    </td></tr><tr><td>
    ".adm_translate("URL de l'image du Backend : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xbackend_image\" value=\"$backend_image\" size=\"30\" maxlength=\"200\">
    </td></tr><tr><td>
    ".adm_translate("Largeur de l'image du Backend : ")."</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xbackend_width\" value=\"$backend_width\" size=\"5\" maxlength=\"4\">
    </td></tr><tr><td>
    ".adm_translate("Hauteur de l'image du Backend : ")."</td><td><input class=\"textbox_standard\" type=\"text\" name=\"xbackend_height\" value=\"$backend_height\" size=\"5\" maxlength=\"4\">";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Configuration par défaut des Liens Web");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Nombre de liens par page : ")."</td><td>
        <select class=\"textbox_standard\" name=\"xperpage\">
        <option name=\"xperpage\" value=\"$perpage\" selected>$perpage</option>
        <option name=\"xperpage\" value=\"10\">10</option>
        <option name=\"xperpage\" value=\"15\">15</option>
        <option name=\"xperpage\" value=\"20\">20</option>
        <option name=\"xperpage\" value=\"25\">25</option>
        <option name=\"xperpage\" value=\"30\">30</option>
        <option name=\"xperpage\" value=\"50\">50</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Nombre de Hits sur le Lien pour qu'il soit populaire : ")."</td><td>
        <select class=\"textbox_standard\" name=\"xpopular\">
        <option name=\"xpopular\" value=\"$popular\" selected>$popular</option>
        <option name=\"xpopular\" value=\"10\">10</option>
        <option name=\"xpopular\" value=\"20\">20</option>
        <option name=\"xpopular\" value=\"50\">50</option>
        <option name=\"xpopular\" value=\"100\">100</option>
        <option name=\"xpopular\" value=\"250\">250</option>
        <option name=\"xpopular\" value=\"500\">500</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Nombre de Liens 'Nouveaux' : ")."</td><td>
        <select class=\"textbox_standard\" name=\"xnewlinks\">
        <option name=\"xnewlinks\" value=\"$newlinks\" selected>$newlinks</option>
        <option name=\"xnewlinks\" value=\"10\">10</option>
        <option name=\"xnewlinks\" value=\"15\">15</option>
        <option name=\"xnewlinks\" value=\"20\">20</option>
        <option name=\"xnewlinks\" value=\"25\">25</option>
        <option name=\"xnewlinks\" value=\"30\">30</option>
        <option name=\"xnewlinks\" value=\"50\">50</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Nombre de Liens 'Meilleur' : ")."</td><td>
        <select class=\"textbox_standard\" name=\"xtoplinks\">
        <option name=\"xtoplinks\" value=\"$toplinks\" selected>$toplinks</option>
        <option name=\"xtoplinks\" value=\"10\">10</option>
        <option name=\"xtoplinks\" value=\"15\">15</option>
        <option name=\"xtoplinks\" value=\"20\">20</option>
        <option name=\"xtoplinks\" value=\"25\">25</option>
        <option name=\"xtoplinks\" value=\"30\">30</option>
        <option name=\"xtoplinks\" value=\"50\">50</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Nombre de Liens dans les résultats des recherches : ")."</td><td>
        <select class=\"textbox_standard\" name=\"xlinksresults\">
        <option name=\"xlinksresults\" value=\"$linksresults\" selected>$linksresults</option>
        <option name=\"xlinksresults\" value=\"10\">10</option>
        <option name=\"xlinksresults\" value=\"15\">15</option>
        <option name=\"xlinksresults\" value=\"20\">20</option>
        <option name=\"xlinksresults\" value=\"25\">25</option>
        <option name=\"xlinksresults\" value=\"30\">30</option>
        <option name=\"xlinksresults\" value=\"50\">50</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Laisser les Utilisateurs anonymes poster de nouveaux Liens ?")."</td><td>";
    if ($links_anonaddlinklock==0) {
        echo "<input type=\"radio\" name=\"xlinks_anonaddlinklock\" value=\"0\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xlinks_anonaddlinklock\" value=\"1\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xlinks_anonaddlinklock\" value=\"0\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xlinks_anonaddlinklock\" value=\"1\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Afficher le Logo sur la page Web Links ?")."</td><td>";
    if ($linkmainlogo==1) {
        echo "<input type=\"radio\" name=\"xlinkmainlogo\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xlinkmainlogo\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xlinkmainlogo\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xlinkmainlogo\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Activer l'icône [N]ouveau pour les Catégories ?")."</td><td>";
    if ($OnCatNewLink==1) {
        echo "<input type=\"radio\" name=\"xOnCatNewLink\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xOnCatNewLink\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xOnCatNewLink\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xOnCatNewLink\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Système de Messagerie (Email)");
    echo "</td>\n</tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Adresse E-mail de l'Administrateur : ")." </td><td><input class=\"textbox\" type=\"text\" name=\"xadminmail\" value=\"$adminmail\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Quelle fonction Mail utilisée ?")."</td><td>";
    if (!$mail_fonction) {$mail_fonction=1;}
    if ($mail_fonction==1) {
        echo "<input type=\"radio\" name=\"xmail_fonction\" value=\"1\" checked>function (fonction) => mail &nbsp;
        <input type=\"radio\" name=\"xmail_fonction\" value=\"2\">function (fonction) => email";
    } else {
        echo "<input type=\"radio\" name=\"xmail_fonction\" value=\"1\">function (fonction) => mail &nbsp;
        <input type=\"radio\" name=\"xmail_fonction\" value=\"2\" checked>function (fonction) => email";
    }
    echo "</td></tr><tr><td>";
    // Footer of Email send by NPDS
    include ("signat.php");
    echo "</td></tr><tr><td>
    ".adm_translate("Pied")." ".adm_translate("de")." Email : </td><td><textarea class=\"textbox\" name=\"xEmailFooter\" cols=\"45\" rows=\"8\">$message</textarea>";
    echo "</td></tr>
    <tr><td colspan=\"2\" align=\"center\"><hr class=\"ongl\" width=\"80%\">
    <b>".adm_translate("Envoyer par E-mail les nouveaux Articles à l'Administrateur")."</b></td></tr><tr><td>
    ".adm_translate("Notifier les nouvelles contributions par E-mail ?")."</td><td>";
    if ($notify==1) {
        echo "<input type=\"radio\" name=\"xnotify\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xnotify\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xnotify\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xnotify\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "
    </td></tr><tr><td>
    ".adm_translate("Adresse E-mail où envoyer le message : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xnotify_email\" value=\"$notify_email\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Sujet de l'E-mail : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xnotify_subject\" value=\"$notify_subject\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Message de l'E-mail : ")."</td><td><textarea class=\"textbox\" name=\"xnotify_message\" cols=\"45\" rows=\"8\">$notify_message</textarea>
    </td></tr><tr><td>
    ".adm_translate("Compte E-mail (Provenance) : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xnotify_from\" value=\"$notify_from\" size=\"30\" maxlength=\"100\">";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Options pour les Commentaires");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Type de modération : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xmoderate\">";
    if ($moderate==1) {
        echo "<option name=\"xmoderate\" value=\"1\" selected>".adm_translate("Modération par l'Administrateur")."</option>
        <option name=\"xmoderate\" value=\"2\">".adm_translate("Modération par les Utilisateurs")."</option>
        <option name=\"xmoderate\" value=\"0\">".adm_translate("Pas de modération")."</option>";
    } elseif ($moderate==2) {
        echo "<option name=\"xmoderate\" value=\"1\">".adm_translate("Modération par l'Administrateur")."</option>
        <option name=\"xmoderate\" value=\"2\" selected>".adm_translate("Modération par les Utilisateurs")."</option>
        <option name=\"xmoderate\" value=\"0\">".adm_translate("Pas de modération")."</option>";
    } elseif ($moderate==0) {
        echo "<option name=\"xmoderate\" value=\"1\">".adm_translate("Modération par l'Administrateur")."</option>
        <option name=\"xmoderate\" value=\"2\">".adm_translate("Modération par les Utilisateurs")."</option>
        <option name=\"xmoderate\" value=\"0\" selected>".adm_translate("Pas de modération")."</option>";
    }
    echo "</select></td></tr><tr><td>
    ".adm_translate("Autoriser les Commentaires anonymes ?")." </td><td>";
    if ($anonpost==1) {
        echo "<input type=\"radio\" name=\"xanonpost\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xanonpost\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xanonpost\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xanonpost\" value=\"0\" checked>".adm_translate("Non");
    }

    echo "</td></tr><tr><td>
    ".adm_translate("Nombre Maximum de Commentaire par utilisateur (24H) ?")." </td><td>";
    if ($troll_limit=="") {
        $troll_limit="6";
    }
    echo "<input class=\"textbox_standard\" type=\"text\" name=\"xtroll_limit\" value=\"$troll_limit\" size=\"6\" maxlength=\"5\">";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Options des sondages");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Nombre maximum de choix pour les Sondages : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xmaxOptions\">
        <option name=\"xmaxOptions\" value=\"$maxOptions\">$maxOptions</option>
        <option name=\"xmaxOptions\" value=\"10\">10</option>
        <option name=\"xmaxOptions\" value=\"12\">12</option>
        <option name=\"xmaxOptions\" value=\"15\">15</option>
        <option name=\"xmaxOptions\" value=\"20\">20</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Autoriser les Utilisateurs à voter plusieurs fois ?")."</td><td>";
    if ($setCookies==0) {
        echo "<input type=\"radio\" name=\"xsetCookies\" value=\"0\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsetCookies\" value=\"1\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xsetCookies\" value=\"0\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsetCookies\" value=\"1\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Activer les Commentaires des Sondages ?")."</td><td>";
    if ($pollcomm==1) {
        echo "<input type=\"radio\" name=\"xpollcomm\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xpollcomm\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xpollcomm\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xpollcomm\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Paramètres liés à l'illustration");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Chemin des images des Sujets : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xtipath\" value=\"$tipath\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Chemin de certaines images (vote, ...) : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xuserimg\" value=\"$userimg\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Chemin des images du Menu Administrateur : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xadminimg\" value=\"$adminimg\" size=\"30\" maxlength=\"100\">
    </td></tr><tr><td>
    ".adm_translate("Activer les images dans le menu Administration ?")."</td><td>";
    if ($admingraphic==1) {
        echo "<input type=\"radio\" name=\"xadmingraphic\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xadmingraphic\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xadmingraphic\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xadmingraphic\" value=\"0\" checked>".adm_translate("Non");
    }
    if (!$admf_ext) {$admf_ext="gif";}
    echo "&nbsp;&nbsp;|&nbsp;&nbsp;".adm_translate("Extension des fichiers d'image")." : <input class=\"textbox_standard\" type=\"text\" name=\"xadmf_ext\" value=\"$admf_ext\" size=\"4\" maxlength=\"3\">";
    echo "</td></tr><tr><td>
    ".adm_translate("Activer les Menus courts pour l'administration ?")."</td><td>";
    if ($short_menu_admin==1) {
        echo "<input type=\"radio\" name=\"xshort_menu_admin\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_menu_admin\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xshort_menu_admin\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_menu_admin\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Polices du site : ")."</td><td><input class=\"textbox\" type=\"text\" name=\"xsite_font\" value=\"$site_font\" size=\"30\" maxlength=\"100\">";
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Divers");
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Nombres d'articles en mode Administration : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xadmart\">
    <option name=\"xadmart\" value=\"$admart\">$admart</option>
    <option name=\"xadmart\" value=\"10\">10</option>
    <option name=\"xadmart\" value=\"15\">15</option>
    <option name=\"xadmart\" value=\"20\">20</option>
    <option name=\"xadmart\" value=\"25\">25</option>
    <option name=\"xadmart\" value=\"30\">30</option>
    </select>
    </td></tr><tr><td><hr width=\"80%\"></td></tr><tr><td>
    ".adm_translate("Longueur minimum du Mot de Passe des Utilisateurs : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xminpass\">
    <option name=\"xminpass\" value=\"$minpass\">$minpass</option>
    <option name=\"xminpass\" value=\"3\">3</option>
    <option name=\"xminpass\" value=\"4\">4</option>
    <option name=\"xminpass\" value=\"5\">5</option>
    <option name=\"xminpass\" value=\"8\">8</option>
    <option name=\"xminpass\" value=\"10\">10</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Nombre d'Utilisateurs listés : ")."</td><td>
    <select class=\"textbox_standard\" name=\"xshow_user\">
    <option name=\"xshow_user\" value=\"$show_user\">$show_user</option>
    <option name=\"xshow_user\" value=\"10\">10</option>
    <option name=\"xshow_user\" value=\"20\">20</option>
    <option name=\"xshow_user\" value=\"30\">30</option>
    <option name=\"xshow_user\" value=\"40\">40</option>
    </select>
    </td></tr><tr><td>
    ".adm_translate("Activer les Avatars ?")."</td><td>";
    if ($smilies==1) {
        echo "<input type=\"radio\" name=\"xsmilies\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsmilies\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xsmilies\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsmilies\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Taille maximum des avatars personnels (largeur * hauteur / 60*80) en pixel ?")."</td><td>";
    if (!$avatar_size) {$avatar_size="60*80";}
    echo "<input class=\"textbox_standard\" type=\"text\" name=\"xavatar_size\" value=\"$avatar_size\" size=\"11\" maxlength=\"10\">";
    echo "</td></tr><tr><td>
    ".adm_translate("Activer la description simplifiée des Utilisateurs ?")."</td><td>";
    if ($short_user==1) {
        echo "<input type=\"radio\" name=\"xshort_user\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_user\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xshort_user\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_user\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Autoriser la création automatique des membres ?")."</td><td>";
    if (($AutoRegUser=="") and ($AutoRegUser!=0)) {$AutoRegUser=1;}
    if ($AutoRegUser==1) {
        echo "<input type=\"radio\" name=xAutoRegUser value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xAutoRegUser\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xAutoRegUser\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xAutoRegUser\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Autoriser les utilisateurs à choisir leur Mot de Passe ?")."</td><td>";
    if (($memberpass=="") and ($memberpass!=0)) {$memberpass=1;}
    if ($memberpass==1) {
        echo "<input type=\"radio\" name=\"xmemberpass\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmemberpass\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xmemberpass\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmemberpass\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Autoriser les Abonnements ?")."</td><td>";
    if ($subscribe==1) {
        echo "<input type=\"radio\" name=\"xsubscribe\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsubscribe\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xsubscribe\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xsubscribe\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Autoriser les Membres Invisibles ?")."</td><td>";
    if ($member_invisible==1) {
        echo "<input type=\"radio\" name=\"xmember_invisible\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmember_invisible\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xmember_invisible\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmember_invisible\" value=\"0\" checked>".adm_translate("Non");
    }

    echo "</td></tr><tr><td>
    ".adm_translate("Fermer les Nouvelles Inscriptions ?")."</td><td>";
    if (($CloseRegUser=="") and ($CloseRegUser!=1)) {$AutoRegUser=0;}
    if ($CloseRegUser==1) {
        echo "<input type=\"radio\" name=\"xCloseRegUser\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xCloseRegUser\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xCloseRegUser\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xCloseRegUser\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td><hr class=\"ongl\" width=\"80%\"></td></tr><tr><td>

    ".adm_translate("Activer les référants HTTP ?")."</td><td>";
    if ($httpref==1) {
        echo "<input type=\"radio\" name=\"xhttpref\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xhttpref\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xhttpref\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xhttpref\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Combien de référants au maximum ?")."</td><td>
    <select class=\"textbox_standard\" name=\"xhttprefmax\">
    <option name=\"xhttprefmax\" value=\"$httprefmax\">$httprefmax</option>
    <option name=\"xhttprefmax\" value=\"100\">100</option>
    <option name=\"xhttprefmax\" value=\"250\">250</option>
    <option name=\"xhttprefmax\" value=\"500\">500</option>
    <option name=\"xhttprefmax\" value=\"1000\">1000</option>
    <option name=\"xhttprefmax\" value=\"2000\">2000</option>
    <option name=\"xhttprefmax\" value=\"4000\">4000</option>
    <option name=\"xhttprefmax\" value=\"8000\">8000</option>
    </select>";
    echo "
    </td></tr><tr><td><hr class=\"ongl\" width=\"80%\"></td></tr><tr><td>
    ".adm_translate("Liste des membres")." : ".adm_translate("Privé")." ?</td><td>";
    if ($member_list==1) {
        echo "<input type=\"radio\" name=\"xmember_list\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmember_list\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xmember_list\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xmember_list\" value=\"0\" checked>".adm_translate("Non");
    }

    echo "</td></tr><tr><td>
    ".adm_translate("Rubrique de téléchargement")." : </td><td>
    <select class=\"textbox_standard\" name=\"xdownload_cat\">
    <option name=\"xdownload\" value=\"$download_cat\">".aff_langue($download_cat)."</option>";
    $result = sql_query("select distinct dcategory from ".$NPDS_Prefix."downloads");
    while (list($category) = sql_fetch_row($result)) {
       $category=stripslashes($category);
       echo "<option name=\"xdownload_cat\" value=\"$category\">".aff_langue($category)."</option>";
    }
    echo "<option name=\"xdownload_cat\" value=\"".adm_translate("Tous")."\">- ".adm_translate("Tous")."</option>";
    echo "<option name=\"xdownload_cat\" value=\"".adm_translate("Aucune catégorie")."\">- ".adm_translate("Aucune catégorie")."</option>";
    echo "</select>";

    echo "</td></tr><tr><td>
    ".adm_translate("Critiques")." : ".adm_translate("courtes")." ?</td><td>";
    if ($short_review==1) {
        echo "<input type=\"radio\" name=\"xshort_review\" value=\"1\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_review\" value=\"0\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xshort_review\" value=\"1\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xshort_review\" value=\"0\" checked>".adm_translate("Non");
    }
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Divers")." HTTP";
    echo "</td></tr>\n</table>\n";
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Pour les Grands Titres de sites de News, activer la vérification de l'existance d'un Web sur le Port 80 ?")."</td><td>";
    if ($rss_host_verif==true) {
        echo "<input type=\"radio\" name=\"xrss_host_verif\" value=\"true\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xrss_host_verif\" value=\"false\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xrss_host_verif\" value=\"true\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xrss_host_verif\" value=\"false\" checked>".adm_translate("Non");
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Pour les pages HTML générées, activer les tags avancés de gestion du cache ?")."</td><td>";
    if ($cache_verif==true) {
        echo "<input type=\"radio\" name=\"xcache_verif\" value=\"true\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xcache_verif\" value=\"false\">".adm_translate("Non")." <span style=\"font-size: 10px;\">(Multimania)</span>";
    } else {
        echo "<input type=\"radio\" name=\"xcache_verif\" value=\"true\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xcache_verif\" value=\"false\" checked>".adm_translate("Non")." <span style=\"font-size: 10px;\">(Multimania)</span>";
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Activer la résolution DNS pour les posts des forums, IP-Ban, ... ?")."</td><td>";
    if ($dns_verif==true) {
        echo "<input type=\"radio\" name=\"xdns_verif\" value=\"true\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xdns_verif\" value=\"false\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xdns_verif\" value=\"true\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xdns_verif\" value=\"false\" checked>".adm_translate("Non");
    }
    echo "</td></tr>\n</table>";
    echo $toggle->End();

    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo $toggle->Img();
    echo adm_translate("Divers")." SYSTEM";
    echo "</td></tr>\n</table>\n";
    if (!$savemysql_size) {
       $savemysql_size="256";
    } else {
       if ($savemysql_size=="256") $sel_size256="selected"; else $sel_size256="";
       if ($savemysql_size=="512") $sel_size512="selected"; else $sel_size512="";
       if ($savemysql_size=="1024") $sel_size1024="selected"; else $sel_size1024="";
    }
    echo $toggle->Begin();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\"><tr><td width=\"40%\">"
    .adm_translate("Taille maximum des fichiers de sauvegarde SaveMysql")."</td><td>
    <select class=\"textbox_standard\" name=\"xsavemysql_size\">
    <option name=\"xsavemysql_size\" value=\"256\" $sel_size256>256 Ko</option>
    <option name=\"xsavemysql_size\" value=\"512\" $sel_size512>512 Ko</option>
    <option name=\"xsavemysql_size\" value=\"1024\" $sel_size1024>1024 Ko</option>
    </select>";
    if (!$savemysql_mode) {
       $savemysql_mode="1";
    } else {
       if ($savemysql_mode=="1") $type_save1="selected"; else $type_save1="";
       if ($savemysql_mode=="2") $type_save2="selected"; else $type_save2="";
       if ($savemysql_mode=="3") $type_save3="selected"; else $type_save3="";
    }
    echo "</td></tr><tr><td>
    ".adm_translate("Type de sauvegarde SaveMysql")."</td><td>
    <select class=\"textbox_standard\" name=\"xsavemysql_mode\">
    <option name=\"xsavemysql_mode\" value=\"1\" $type_save1>".adm_translate("Toute tables. Fichier envoyé au navigateur. Pas de limite de taille")."</option>
    <option name=\"xsavemysql_mode\" value=\"2\" $type_save2>".adm_translate("Fichiers dans /logs. table par table, tables non scindées : limite")."&nbsp;$savemysql_size Ko</option>
    <option name=\"xsavemysql_mode\" value=\"3\" $type_save3>".adm_translate("Fichiers dans /logs. table par table, lignes par lignes, tables scindées : limite")."&nbsp;$savemysql_size Ko</option>
    </select>";
    echo "</td></tr><tr><td>
    ".adm_translate("Activer l'éditeur Tiny-Mce")."</td><td>";
    if ($tiny_mce) {
        echo "<input type=\"radio\" name=\"xtiny_mce\" value=\"true\" checked>".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xtiny_mce\" value=\"false\">".adm_translate("Non");
    } else {
        echo "<input type=\"radio\" name=\"xtiny_mce\" value=\"true\">".adm_translate("Oui")." &nbsp;
        <input type=\"radio\" name=\"xtiny_mce\" value=\"false\" checked>".adm_translate("Non");
    }

    echo "<input type=\"hidden\" name=\"op\" value=\"ConfigSave\">";
    echo "</td></tr></table>";
    echo $toggle->End();

    echo "<hr noshade class=\"ongl\"><table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\"><tr><td>\n";
    echo $toggle->All();
    echo "</td>\n</tr>\n</table>\n<hr noshade class=\"ongl\">";

    echo "<br /><p align=\"center\"><input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Sauver les modifications")."\"></p>";
    echo "</form>";
    closetable();
    include ("footer.php");
}

switch($op) {
   case "Configure":
      Configure();
      break;

   case "ConfigSave":
      include("admin/settings_save.php");
      ConfigSave($xparse,$xsitename,$xnuke_url,$xsite_logo,$xslogan,$xstartdate,$xadminmail,$xtop,$xstoryhome,$xoldnum,$xultramode,$xanonpost,$xDefault_Theme,$xbanners,$xmyIP,$xfoot1,$xfoot2,$xfoot3,$xfoot4,$xbackend_title,$xbackend_language,$xbackend_image,$xbackend_width,$xbackend_height,$xlanguage,$xlocale,$xperpage,$xpopular,$xnewlinks,$xtoplinks,$xlinksresults,$xlinks_anonaddlinklock,$xnotify,$xnotify_email,$xnotify_subject,$xnotify_message,$xnotify_from,$xmoderate,$xanonymous,$xmaxOptions,$xsetCookies,$xtipath,$xuserimg,$xadminimg,$xadmingraphic,$xsite_font,$xadmart,$xminpass,$xhttpref,$xhttprefmax,$xpollcomm,$xlinkmainlogo,$xstart_page,$xsmilies,$xOnCatNewLink,$xEmailFooter,$xshort_user,$xgzhandler,$xrss_host_verif,$xcache_verif,$xmember_list,$xdownload_cat,$xmod_admin_news,$xgmt,$xAutoRegUser,$xTitlesitename,$xfilemanager,$xshort_review,$xnot_admin_count,$xadmin_cook_duration,$xuser_cook_duration,$xtroll_limit,$xsubscribe,$xCloseRegUser,$xshort_menu_admin,$xmail_fonction,$xmemberpass,$xshow_user,$xdns_verif,$xmember_invisible,$xavatar_size,$xlever,$xcoucher,$xmulti_langue,$xadmf_ext,$xsavemysql_size,$xsavemysql_mode,$xtiny_mce);
      break;
}
?>